Back to Virtual Cards docs

Virtual Cards API Playground

Send real, HMAC-signed requests to the virtual cards endpoints and inspect the live response.

POST/api/cards
cURL
  1. curl --location --request POST 'https://api.bitnob.com/api/cards' \
  2. --header 'Content-Type: application/json' \
  3. --header 'X-Auth-Client: {{clientId}}' \
  4. --header 'X-Auth-Timestamp: {{timestamp}}' \
  5. --header 'X-Auth-Nonce: {{nonce}}' \
  6. --header 'X-Auth-Signature: {{signature}}' \
  7. --data '{
  8. "card_type": "virtual",
  9. "currency": "USD",
  10. "name": "Chinedu Okafor",
  11. "amount": 2000000,
  12. "card_brand": "visa",
  13. "reference": "CARD_CREATE_3e096ff5-0c94-4653-adcc-b232676c84e7",
  14. "customer": {
  15. "customer_type": "individual",
  16. "first_name": "Ifeoma",
  17. "last_name": "Okafor",
  18. "email": "ifeoma.okafor@example.com",
  19. "phone_number": "8034567890",
  20. "dial_code": "+234",
  21. "date_of_birth": "1993-07-08",
  22. "id_type": "national_id",
  23. "id_number": "NIN12345678901",
  24. "line1": "18 Wuse Zone 4",
  25. "city": "Abuja",
  26. "state": "FCT",
  27. "postal_code": "900271",
  28. "country": "NGA"
  29. },
  30. "card_limits": {
  31. "transaction_limit": 19200000000,
  32. "daily_limit": 300000000,
  33. "weekly_limit": 6300000000,
  34. "monthly_limit": 3000000,
  35. "yearly_limit": 5100000000,
  36. "all_time_limit": 360000000
  37. }
  38. }'
Response
// Awaiting response...
Did you find this page useful?

Join our Discord